aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAvatar Mike Kelly <pioto@pioto.org> 2008-02-01 03:03:33 +0000
committerAvatar Mike Kelly <pioto@pioto.org> 2008-02-01 03:03:33 +0000
commita82e35af87941861f94e993b6cd4ad743387a151 (patch)
tree5585af809a9c91f96054a2412e05d2a7da389bc9
parent250bda6e11c7888ead901fdf4881160c1ae7a432 (diff)
downloadpaludis-a82e35af87941861f94e993b6cd4ad743387a151.tar.gz
paludis-a82e35af87941861f94e993b6cd4ad743387a151.tar.xz
another oops
-rw-r--r--paludis/repositories/e/ebuild/exheres-0/src_prepare.bash6
1 files changed, 5 insertions, 1 deletions
diff --git a/paludis/repositories/e/ebuild/exheres-0/src_prepare.bash b/paludis/repositories/e/ebuild/exheres-0/src_prepare.bash
index c1e239e..be050b7 100644
--- a/paludis/repositories/e/ebuild/exheres-0/src_prepare.bash
+++ b/paludis/repositories/e/ebuild/exheres-0/src_prepare.bash
@@ -32,7 +32,11 @@ src_prepare()
exheres_internal_prepare()
{
- cd ${WORKDIR} || die "cd to \${WORKDIR} (\"${WORKDIR}\") failed"
+ if [[ -d "${S}" ]] ; then
+ cd "${S}" || die "cd to \${S} (\"${S}\") failed"
+ elif [[ -d "${WORKDIR}" ]] ; then
+ cd "${WORKDIR}" || die "cd to \${WORKDIR} (\"${WORKDIR}\") failed"
+ fi
if hasq "prepare" ${RESTRICT} ; then
ebuild_section "Skipping src_prepare (RESTRICT)"